require_once PHPI. vars !